#
# Copyright (c) 2003 Linuxant inc.
# Copyright (c) 2001-2003 Conexant Systems, Inc.
#
# NOTE: The use and distribution of this software is governed by the terms in
# the file LICENSE, which is included in the package. You must read this and
# agree to these terms before using or distributing this software.
# 
TOP= ..

include $(TOP)/config.mak
-include $(TOP)/imported/makeflags.mak

OBJS= inf2bin.o

CFLAGS =	-I../imported/include -I../modules/osspec/include
CFLAGS +=	$(IMPORTED_FRAMEWORK_DEFS) $(IMPORTED_GENERAL_DEFS)

CFLAGS +=	-DHSFLINUXVERSION="\"$(HSFLINUXVERSION)\""

CFLAGS += -O2 -Wall

all: hsfinf2bin

clean:
	rm -f *.o hsfinf2bin

install: hsfinf2bin $(HSFSBINDIR)
	$(INSTALL) -m 755 hsfinf2bin $(HSFSBINDIR)/hsfinf2bin

$(HSFSBINDIR):
	$(MKDIR) -p $@

hsfinf2bin: $(OBJS)
	$(CC) -o $@ $^

uninstall:
	rm -f "$(HSFSBINDIR)/hsfinf2bin"
